{
    attributes = (
        {
            columnName = C_LANGUE; 
            externalType = VARCHAR2; 
            name = cLangue; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            columnName = C_PAYS; 
            externalType = VARCHAR2; 
            name = cPays; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            columnName = TMU_ORDRE; 
            externalType = NUMBER; 
            name = tmuOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "RTRIM(TMU_TEXTE,' ')||' '"; 
            externalType = LONG; 
            internalInfo = {_nameInObjectStore = TMU_TEXTE; }; 
            name = tmuTexte; 
            valueClassName = NSString; 
        }
    ); 
    attributesUsedForLocking = (tmuOrdre, cPays, cLangue); 
    className = EOGenericRecord; 
    classProperties = (tmuOrdre, cPays, cLangue, tmuTexte, toGrhumLangue, toGrhumPays); 
    externalName = GRHUM.TEXTE_MULTILINGUE; 
    fetchSpecificationDictionary = {}; 
    name = GrhumTexteMultilingue; 
    primaryKeyAttributes = (cLangue, cPays, tmuOrdre); 
    relationships = (
        {
            destination = GrhumLangue; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cLangue; sourceAttribute = cLangue; }); 
            name = toGrhumLangue; 
        }, 
        {
            destination = GrhumPays; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cPays; sourceAttribute = cPays; }); 
            name = toGrhumPays; 
        }
    ); 
}
